CREATE TABLE images (
  imageid               int(4)          DEFAULT '0' NOT NULL,
  imagetype             int(4)          DEFAULT '0' NOT NULL,
  name                  varchar(64)     DEFAULT '0' NOT NULL,
  image                 longblob            DEFAULT '' NOT NULL,
  PRIMARY KEY (imageid),
  UNIQUE (imagetype, name)
) type=InnoDB;

alter table users add  url			varchar(255)	DEFAULT '' NOT NULL;

alter table sysmaps_hosts add  url		varchar(255)	DEFAULT '' NOT NULL;
alter table sysmaps_hosts add  icon_on		varchar(32)	DEFAULT 'Server' NOT NULL;
update sysmaps_hosts set icon_on=icon;

alter table sysmaps add  background		varchar(64)	DEFAULT '' NOT NULL;

alter table items add trends int(4) DEFAULT '365' NOT NULL;

alter table graphs add  yaxistype		int(1)		DEFAULT '0' NOT NULL;
alter table graphs add  yaxismin		double(16,4)	DEFAULT '0' NOT NULL;
alter table graphs add  yaxismax		double(16,4)	DEFAULT '0' NOT NULL;

alter table items add snmpv3_securityname	varchar(64)	DEFAULT '' NOT NULL;
alter table items add snmpv3_securitylevel	int(1)		DEFAULT '0' NOT NULL;
alter table items add snmpv3_authpassphrase	varchar(64)	DEFAULT '' NOT NULL;
alter table items add snmpv3_privpassphrase	varchar(64)	DEFAULT '' NOT NULL;

alter table items add formula			varchar(255)	DEFAULT '0' NOT NULL;

update items set formula="1024" where multiplier=1;
update items set formula="1048576" where multiplier=2;
update items set formula="1073741824" where multiplier=3;

update items set multiplier=1 where multiplier!=0;

--
-- Table structure for table 'audit'
--

CREATE TABLE audit (
  auditid		int(4)		NOT NULL auto_increment,
  userid		int(4)		DEFAULT '0' NOT NULL,
  clock			int(4)		DEFAULT '0' NOT NULL,
  action		int(4)		DEFAULT '0' NOT NULL,
  resource		int(4)		DEFAULT '0' NOT NULL,
  details		varchar(128)	DEFAULT '0' NOT NULL,
  PRIMARY KEY (auditid),
  UNIQUE (userid,clock),
  KEY (clock)
) type=InnoDB;

insert into images values(1,1,"Hub",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Hub.png"));
insert into images values(2,1,"Hub (small)",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Hub_small.png"));
insert into images values(3,1,"Network",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Network.png"));
insert into images values(4,1,"Network (small)",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Network_small.png"));
insert into images values(5,1,"Notebook",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Notebook.png"));
insert into images values(6,1,"Notebook (small)",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Notebook_small.png"));
insert into images values(7,1,"Phone",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Phone.png"));
insert into images values(8,1,"Phone (small)",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Phone_small.png"));
insert into images values(9,1,"Printer",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Printer.png"));
insert into images values(10,1,"Printer (small)",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Printer_small.png"));
insert into images values(11,1,"Router",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Router.png"));
insert into images values(12,1,"Router (small)",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Router_small.png"));
insert into images values(13,1,"Satellite",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Satellite.png"));
insert into images values(14,1,"Satellite (small)",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Satellite_small.png"));
insert into images values(15,1,"Server",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Server.png"));
insert into images values(16,1,"Server (small)",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Server_small.png"));
insert into images values(17,1,"UPS",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/UPS.png"));
insert into images values(18,1,"UPS (small)",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/UPS_small.png"));
insert into images values(19,1,"Workstation",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Workstation.png"));
insert into images values(20,1,"Workstation (small)",load_file("/usr/share/zabbix/upgrades/dbpatches/1.0_to_1.1alpha1/mysql/Workstation_small.png"));
alter table items drop lastdelete;
alter table alerts add	error	varchar(128)	DEFAULT '' NOT NULL;
alter table items add	error	varchar(128)	DEFAULT '' NOT NULL;
alter table hosts add	error	varchar(128)	DEFAULT '' NOT NULL;
CREATE TABLE escalations (
  escalationid		int(4)		NOT NULL auto_increment,
  name			varchar(64)	DEFAULT '0' NOT NULL,
  PRIMARY KEY (escalationid),
  UNIQUE (name)
) type=InnoDB;

--
-- Table structure for table 'hosts_templates'
--

CREATE TABLE hosts_templates (
  hosttemplateid	int(4)		NOT NULL auto_increment,
  hostid		int(4)		DEFAULT '0' NOT NULL,
  templateid		int(4)		DEFAULT '0' NOT NULL,
  items			int(1)		DEFAULT '0' NOT NULL,
  triggers		int(1)		DEFAULT '0' NOT NULL,
  actions		int(1)		DEFAULT '0' NOT NULL,
  graphs		int(1)		DEFAULT '0' NOT NULL,
  screens		int(1)		DEFAULT '0' NOT NULL,
  PRIMARY KEY (hosttemplateid),
  UNIQUE (hostid, templateid)
) type=InnoDB;

alter table hosts add available	int(4)		DEFAULT '0' NOT NULL;
update hosts set available=1 where status=0;
update hosts set available=2 where status=2;

update hosts set status=0 where status=2;

alter table sysmaps add  label_type	int(4)	DEFAULT '0' NOT NULL;
alter table services modify goodsla double(5,2) DEFAULT '99.9' NOT NULL;
--
-- Table structure for table 'history_log'
--

CREATE TABLE history_log (
  id			int(4)		NOT NULL auto_increment,
  itemid		int(4)		DEFAULT '0' NOT NULL,
  clock			int(4)		DEFAULT '0' NOT NULL,
  value			varchar(255)	DEFAULT '' NOT NULL,
  PRIMARY KEY (id),
  KEY itemidclock (itemid, clock)
) type=InnoDB;


alter table media add	period		varchar(100)	DEFAULT '1-7,00:00-23:59' NOT NULL;
alter table screens_items add	colspan		int(4)	DEFAULT '0' NOT NULL;
alter table items add	lastlogsize		int(4)	DEFAULT '0' NOT NULL;
alter table screens_items add	rowspan		int(4)	DEFAULT '0' NOT NULL;
alter table users add	autologout		int(4)	DEFAULT '900' NOT NULL;
alter table users add	lang			varchar(5)	DEFAULT 'en_gb' NOT NULL;

drop table escalations;

--
-- Table structure for table 'escalations'
--

CREATE TABLE escalations (
  escalationid		int(4)		NOT NULL auto_increment,
  name			varchar(64)	DEFAULT '0' NOT NULL,
  dflt			int(2)		DEFAULT '0' NOT NULL,
  PRIMARY KEY (escalationid),
  UNIQUE (name)
) type=InnoDB;

--
-- Table structure for table 'escalation_rules'
--

CREATE TABLE escalation_rules (
  escalationruleid		int(4)		NOT NULL auto_increment,
  escalationid		int(4)		DEFAULT '0' NOT NULL,
  level			int(4)		DEFAULT '0' NOT NULL,
  period		varchar(100)	DEFAULT '1-7,00:00-23:59' NOT NULL,
  delay			int(4)		DEFAULT '0' NOT NULL,
  actiontype		int(4)		DEFAULT '0' NOT NULL,
  PRIMARY KEY (escalationruleid),
  KEY (escalationid)
) type=InnoDB;

--
-- Table structure for table 'escalation_log'
--

CREATE TABLE escalation_log (
  escalationlogid       int(4)          NOT NULL auto_increment,
  triggerid             int(4)          DEFAULT '0' NOT NULL,
  alarmid               int(4)          DEFAULT '0' NOT NULL,
  escalationid          int(4)          DEFAULT '0' NOT NULL,
  actiontype            int(4)          DEFAULT '0' NOT NULL,
  level                 int(4)          DEFAULT '0' NOT NULL,
  adminlevel            int(4)          DEFAULT '0' NOT NULL,
  nextcheck             int(4)          DEFAULT '0' NOT NULL,
  status                int(4)          DEFAULT '0' NOT NULL,
  PRIMARY KEY (escalationlogid),
  KEY (alarmid,escalationid),
  KEY (triggerid)
) type=InnoDB;
alter table history_log add timestamp int(4) DEFAULT '0' NOT NULL;
alter table history_log add source varchar(64) DEFAULT '' NOT NULL;
alter table history_log add severity int(4) DEFAULT '0' NOT NULL;

alter table history_log modify value text default '' not null;

--
-- Table structure for table 'hosts_profiles'
--

CREATE TABLE hosts_profiles (
  hostid                int(4)          DEFAULT '0' NOT NULL,
  devicetype            varchar(64)     DEFAULT '' NOT NULL,
  name                  varchar(64)     DEFAULT '' NOT NULL,
  os                    varchar(64)     DEFAULT '' NOT NULL,
  serialno              varchar(64)     DEFAULT '' NOT NULL,
  tag                   varchar(64)     DEFAULT '' NOT NULL,
  macaddress            varchar(64)     DEFAULT '' NOT NULL,
  hardware              blob            DEFAULT '' NOT NULL,
  software              blob            DEFAULT '' NOT NULL,
  contact               blob            DEFAULT '' NOT NULL,
  location              blob            DEFAULT '' NOT NULL,
  notes                 blob            DEFAULT '' NOT NULL,
  PRIMARY KEY (hostid)
) type=InnoDB;
alter table items add  logtimefmt varchar(64)     DEFAULT '' NOT NULL;
alter table triggers add  error	varchar(128)	DEFAULT '' NOT NULL;
--
-- Table structure for table 'autoreg'
--

CREATE TABLE autoreg (
  id			int(4)		NOT NULL auto_increment,
  priority              int(4)          DEFAULT '0' NOT NULL,
  pattern               varchar(255)    DEFAULT '' NOT NULL,
  hostid                int(4)          DEFAULT '0' NOT NULL,
  PRIMARY KEY (id)
) type=InnoDB;

alter table alerts add triggerid	int(4)	DEFAULT '0' NOT NULL after actionid;
alter table alerts add repeats		int(4)		DEFAULT '0' NOT NULL;
alter table alerts add maxrepeats	int(4)		DEFAULT '0' NOT NULL;
alter table alerts add nextcheck	int(4)		DEFAULT '0' NOT NULL;
alter table alerts add delay		int(4)		DEFAULT '0' NOT NULL;
alter table actions add maxrepeats	int(4)		DEFAULT '0' NOT NULL;
alter table actions add repeatdelay	int(4)		DEFAULT '600' NOT NULL;
alter table users add refresh	int(4)		DEFAULT '30' NOT NULL;

--
-- Table structure for table 'history_uint'
--

CREATE TABLE history_uint (
  itemid		int(4)		DEFAULT '0' NOT NULL,
  clock			int(4)		DEFAULT '0' NOT NULL,
  value			bigint unsigned	DEFAULT '0' NOT NULL,
--  PRIMARY KEY (itemid,clock)
  KEY itemidclock (itemid, clock)
) type=InnoDB;

alter table graphs_items add  yaxisside		int(1)		DEFAULT '1' NOT NULL;
alter table config add refresh_unsupported  int(4)          DEFAULT '600' NOT NULL;
alter table screens_items  add elements		int(4)		DEFAULT '25' NOT NULL;

alter table hosts_templates drop screens;
alter table hosts_templates drop actions;

--
-- Table structure for table 'conditions'
--

CREATE TABLE conditions (
  conditionid		int(4)		NOT NULL auto_increment,
  actionid		int(4)		DEFAULT '0' NOT NULL,
  conditiontype		int(4)		DEFAULT '0' NOT NULL,
  operator		int(1)		DEFAULT '0' NOT NULL,
  value			varchar(255)	DEFAULT '' NOT NULL,
  PRIMARY KEY (conditionid),
  KEY (actionid)
) type=InnoDB;

insert into conditions (actionid, conditiontype, operator, value)
select actionid, 2, 0, triggerid from actions where scope=0;

insert into conditions (actionid, conditiontype, operator, value)
select actionid, 1, 0, triggerid from actions where scope=1;

insert into conditions (actionid, conditiontype, operator, value)
select actionid, 5, 0, '0' from actions where good in (0,2);

insert into conditions (actionid, conditiontype, operator, value)
select actionid, 5, 0, '1' from actions where good in (1,2);

insert into conditions (actionid, conditiontype, operator, value)
select actionid, 4, 5, severity from actions where scope in (1,2);

alter table actions drop triggerid;
alter table actions drop scope;
alter table actions drop good;
alter table actions drop severity;

alter table actions add  source			int(1)		DEFAULT '0' NOT NULL;
alter table actions add  actiontype		int(1)		DEFAULT '0' NOT NULL;

update actions set message="{TRIGGER.NAME}: {STATUS}" where message="*Automatically generated*";
update actions set subject="{TRIGGER.NAME}: {STATUS}" where subject="*Automatically generated*";
alter table sysmaps add  label_location	int(1)		DEFAULT '0' NOT NULL;

alter table hosts drop network_errors;
alter table hosts add errors_from	int(4)		DEFAULT '0' NOT NULL;
alter table hosts add	templateid	int(4) DEFAULT '0' NOT NULL;
alter table items add	templateid	int(4) DEFAULT '0' NOT NULL;
alter table triggers add	templateid	int(4) DEFAULT '0' NOT NULL;
alter table graphs add	templateid	int(4) DEFAULT '0' NOT NULL;

alter table items add	valuemapid	int(4) DEFAULT '0' NOT NULL;

alter table actions add	status	int(1) DEFAULT '0' NOT NULL;

--
-- Table structure for table 'valuemaps'
--

CREATE TABLE valuemaps (
  valuemapid		int(4)		NOT NULL auto_increment,
  name			varchar(64)	DEFAULT '' NOT NULL,
  PRIMARY KEY (valuemapid),
  UNIQUE (name)
) type=InnoDB;

--
-- Table structure for table 'mapping'
--

CREATE TABLE mappings (
  mappingid		int(4)		NOT NULL auto_increment,
  valuemapid		int(4)		DEFAULT '0' NOT NULL,
  value			varchar(64)	DEFAULT '' NOT NULL,
  newvalue		varchar(64)	DEFAULT '' NOT NULL,
  PRIMARY KEY (mappingid),
  KEY valuemapid (valuemapid)
) type=InnoDB;

--
-- Table structure for table 'housekeeper'
--

CREATE TABLE housekeeper (
  housekeeperid		int(4)		NOT NULL auto_increment,
  tablename		varchar(64)	DEFAULT '' NOT NULL,
  field			varchar(64)	DEFAULT '' NOT NULL,
  value			int(4)		DEFAULT '0' NOT NULL,
  PRIMARY KEY (housekeeperid)
) type=InnoDB;
alter table sysmaps_hosts rename sysmaps_elements;

alter table sysmaps_elements change	shostid	selementid	int(4) DEFAULT NULL auto_increment;
alter table sysmaps_elements change	hostid	elementid	int(4) DEFAULT '0' NOT NULL;
alter table sysmaps_elements add	elementtype	int(4) DEFAULT '0' NOT NULL;
alter table sysmaps_elements add	label_location	int(1) DEFAULT NULL;

alter table sysmaps_links change	shostid1	selementid1	int(4) DEFAULT '0' NOT NULL;
alter table sysmaps_links change	shostid2	selementid2	int(4) DEFAULT '0' NOT NULL;

alter table alarms add		acknowledged	int(1) DEFAULT '0' NOT NULL;

--
-- Table structure for table 'acknowledges'
--

CREATE TABLE acknowledges (
	acknowledgeid		int(4)		NOT NULL auto_increment,
	userid			int(4)		DEFAULT '0' NOT NULL,
	alarmid			int(4)		DEFAULT '0' NOT NULL,
	clock			int(4)		DEFAULT '0' NOT NULL,
	message			varchar(255)	DEFAULT '' NOT NULL,
	PRIMARY KEY (acknowledgeid),
	KEY userid (userid),
	KEY alarmid (alarmid),
	KEY clock (clock)
) type=InnoDB;

alter table screens_items add		valign	int(2)	DEFAULT '0' NOT NULL;
alter table screens_items add		halign	int(2)	DEFAULT '0' NOT NULL;
alter table screens_items add		style	int(4)	DEFAULT '0' NOT NULL;

alter table rights add		key	(userid);
alter table screens_items add		url	varchar(255)	DEFAULT '' NOT NULL;

alter table actions add			scripts	blob		DEFAULT '' NOT NULL;
alter table alerts add userid int(4) DEFAULT '0' NOT NULL;
create index alerts_userid on alerts (userid);
alter table config add work_period varchar(100) DEFAULT '1-5,00:00-24:00' NOT NULL;
alter table graphs add show_work_period int(1) DEFAULT '1' NOT NULL;
alter table graphs add show_triggers int(1) DEFAULT '1' NOT NULL;

alter table profiles change     value value     varchar(255)	DEFAULT '' NOT NULL;
alter table profiles add        valuetype	int(4)		DEFAULT 0 NOT NULL;

--
-- Table structure for table 'applications'
--

CREATE TABLE applications (
        applicationid           int(4)          NOT NULL auto_increment,
        hostid                  int(4)          DEFAULT '0' NOT NULL,
        name                    varchar(255)    DEFAULT '' NOT NULL,
        templateid              int(4)          DEFAULT '0' NOT NULL,
        PRIMARY KEY     (applicationid),
        KEY             hostid (hostid),
        KEY             templateid (templateid),
        UNIQUE          appname (hostid,name)
) type=InnoDB;

--
-- Table structure for table 'items_applications'
--

CREATE TABLE items_applications (
	applicationid		int(4)		DEFAULT '0' NOT NULL,
	itemid			int(4)		DEFAULT '0' NOT NULL,
	PRIMARY KEY (applicationid,itemid)
) type=InnoDB;


alter table audit rename auditlog;

alter table auditlog add resourcetype          int(4)          DEFAULT '0' NOT NULL;
update auditlog set resourcetype=resource;
alter table auditlog drop resource;

alter table screens add hsize	int(4)	DEFAULT '1' NOT NULL;
alter table screens add vsize	int(4)	DEFAULT '1' NOT NULL;
update screens set hsize=cols;
update screens set vsize=rows;
alter table screens drop cols;
alter table screens drop rows;

alter table screens_items add resourcetype    int(4)          DEFAULT '0' NOT NULL;
update screens_items set resourcetype=resource;
alter table screens_items drop resource;

alter table functions change function function varchar(12) DEFAULT '' NOT NULL;

CREATE TABLE help_items (
        itemtype                int(4)          DEFAULT '0' NOT NULL,
        key_                    varchar(64)     DEFAULT '' NOT NULL,
        description             varchar(255)    DEFAULT '' NOT NULL,
        PRIMARY KEY (itemtype, key_)
) type=InnoDB;


insert into help_items values (3,'icmpping','Checks if server accessible by ICMP ping	0 - ICMP ping fails 1 - ICMP ping successful	One of zabbix_server processes performs ICMP pings once per PingerFrequency seconds.');
insert into help_items values (3,'icmppingsec','Return ICMP ping response time	Number of seconds Example: 0.02');
insert into help_items values (3,'ftp&lt;,port&gt;','Checks if FTP server is running and accepting connections	0 - FTP server is down 1 - FTP server is running');
insert into help_items values (3,'http&lt;,port&gt;','Checks if HTTP (WEB) server is running and accepting connections	0 - HTTP server is down 1 - HTTP server is running');
insert into help_items values (3,'imap&lt;,port&gt;','Checks if IMAP server is running and accepting connections	0 - IMAP server is down 1 - IMAP server is running');
insert into help_items values (3,'nntp&lt;,port&gt;','Checks if NNTP server is running and accepting connections	0 - NNTP server is down 1 - NNTP server is running');
insert into help_items values (3,'pop&lt;,port&gt;','Checks if POP server is running and accepting connections	0 - POP server is down 1 - POP server is running');
insert into help_items values (3,'smtp&lt;,port&gt;','Checks if SMTP server is running and accepting connections	0 - SMTP server is down 1 - SMTP server is running');
insert into help_items values (3,'ssh&lt;,port&gt;','Checks if SSH server is running and accepting connections	0 - SSH server is down 1 - SSH server is running');
insert into help_items values (3,'tcp,port','Checks if TCP service is running and accepting connections on port	0 - the serivce on the por t is down 1 - the service is running');
insert into help_items values (3,'ftp_perf&lt;,port&gt;','Checks if FTP server is running and accepting connections	0 - FTP server is down Otherwise, number of milliseconds spent connecting to FTP server');
insert into help_items values (3,'http_perf&lt;,port&gt;','Checks if HTTP (WEB) server is running and accepting connections	0 - HTTP server is down Otherwise, number of milliseconds spent connecting to HTTP server');
insert into help_items values (3,'imap_perf&lt;,port&gt;','Checks if IMAP server is running and accepting connections	0 - IMAP server is down Otherwise, number of milliseconds spent connecting to IMAP server');
insert into help_items values (3,'nntp_perf&lt;,port&gt;','Checks if NNTP server is running and accepting connections	0 - NNTP server is down Otherwise, number of milliseconds spent connecting to NNTP server');
insert into help_items values (3,'pop_perf&lt;,port&gt;','Checks if POP server is running and accepting connections	0 - POP server is down Otherwise, number of milliseconds spent connecting to POP server');
insert into help_items values (3,'smtp_perf&lt;,port&gt;','Checks if SMTP server is running and accepting connections	0 - SMTP server is down Otherwise, number of milliseconds spent connecting to SMTP server');
insert into help_items values (3,'ssh_perf&lt;,port&gt;','Checks if SSH server is running and accepting connections	0 - SSH server is down Otherwise, number of milliseconds spent connecting to SSH server');

insert into help_items values (5,'zabbix[history]','Number of values stored in table HISTORY');
insert into help_items values (5,'zabbix[history_str]','Number of values stored in table HISTORY_STR');
insert into help_items values (5,'zabbix[items]','Number of items in ZABBIX database');
insert into help_items values (5,'zabbix[items_unsupported]','Number of unsupported items in ZABBIX database');
insert into help_items values (5,'zabbix[log]','Stores warning and error messages generated by ZABBIX server.');
insert into help_items values (5,'zabbix[queue]','Number of items in the queue');
insert into help_items values (5,'zabbix[trends]','Number of values stored in table TRENDS');
insert into help_items values (5,'zabbix[triggers]','Number of triggers in ZABBIX database');

insert into help_items values (8,'grpfunc(&lt;Group&gt;,&lt;Key&gt;,&lt;func&gt;,&lt;param&gt;)','Aggregate checks does not require any agent running on a host being monitored. ZABBIX server collects aggregate information by doing direct database queries. See ZABBIX Manual.');

insert into help_items values(0,'agent.ping','Check the agent usability. Always return 1. Can be used as a TCP ping.');
insert into help_items values(0,'agent.version','Version of zabbix_agent(d) running on monitored host. String value. Example of returned value: 1.1');
insert into help_items values(0,'kernel.maxfiles','Maximum number of opened file supported by OS.');
insert into help_items values(0,'kernel.maxproc','Maximum number of processes supported by OS.');
insert into help_items values(0,'net.if.collisions[if]','Out-of-window collision. Collisions count.');
insert into help_items values(0,'net.if.in[if &lt;,mode&gt;]','Network interface input statistic. Integer value. If mode is missing &lt;b&gt;bytes&lt;/b&gt; is used.');
insert into help_items values(0,'net.if.out[if &lt;,mode&gt;]','Network interface output statistic. Integer value. If mode is missing &lt;b&gt;bytes&lt;/b&gt; is used.');
insert into help_items values(0,'net.tcp.dns[ip, zone]','Checks if DNS service is up. 0 - DNS is down, 1 - DNS is up.');
insert into help_items values(0,'net.tcp.listen[port]','Checks if this port is in LISTEN state. 0 - it is not, 1 - it is in LISTEN state.');
insert into help_items values(0,'net.tcp.port[&lt;ip&gt;, port]','Check, if it is possible to make TCP connection to the port number. 0 - cannot connect, 1 - can connect. IP address is optional. If ip is missing, 127.0.0.1 is used. Example: net.tcp.port[,80]');
insert into help_items values(0,'net.tcp.service[service &lt;,ip&gt; &lt;,port&gt;]','Check if service server is running and accepting connections. 0 - service is down, 1 - service is running. If ip is missing 127.0.0.1 is used. If port number is missing, default service port is used. Example: net.tcp.service[ftp,,45].');
insert into help_items values(0,'net.tcp.service.perf[service &lt;,ip&gt; &lt;,port&gt;]','Check performance of service server. 0 - service server is down, &lt;sec&gt; - number of seconds spent on connection to the service server. If ip is missing 127.0.0.1 is used.  If port number is missing, default service port is used.');
insert into help_items values(0,'proc.mem[&lt;name&gt; &lt;,user&gt; &lt;,mode&gt;]','Memory used of process with name name running under user &lt;b&gt;user&lt;/b&gt;. Memory used by processes. Process name, user and mode is optional. If name or user is missing all processes will be calculated. If &lt;b&gt;mode&lt;/b&gt; is missing &lt;b&gt;sum&lt;/b&gt; is used.  Examples: proc.mem[,root]');
insert into help_items values(0,'proc.num[&lt;name&gt; &lt;,user&gt; &lt;,state&gt;]','Number of processes with name &lt;b&gt;name&lt;/b&gt; running under user &lt;b&gt;user&lt;/b&gt; having state &lt;b&gt;state&lt;/b&gt;.	Process name, user and state are optional. Example: proc.num[,root]');
insert into help_items values(0,'system.cpu.intr','Device interrupts.');
insert into help_items values(0,'system.cpu.load[&lt;cpu&gt; &lt;,mode&gt;]','CPU(s) load. Processor load. The cpu and mode are optional. If cpu is missing &lt;b&gt;all&lt;/b&gt; is used.  If mode is missing &lt;b&gt;avg1&lt;/b&gt; is used. Note that this is not percentage.');
insert into help_items values(0,'system.cpu.switches','Context switches.');
insert into help_items values(0,'system.cpu.util[&lt;cpu&gt; &lt;,type&gt; &lt;,mode&gt;]','CPU(s) utilisation. Processor load in percents. The cpu, type and mode are optional. If cpu is missing &lt;b&gt;all&lt;/b&gt; is used.  If type is missing &lt;b&gt;user&lt;/b&gt; is used. If mode is missing &lt;b&gt;avg1&lt;/b&gt; is used.&lt;/b&gt;');
insert into help_items values(0,'system.hostname','Return host name. String value. Example of returned value: www.zabbix.com');
insert into help_items values(0,'system.localtime','System local time. Time in seconds.');
insert into help_items values(0,'system.swap.in[&lt;swap&gt; &lt;,type&gt;]','Swap in. If type is &lt;b&gt;count&lt;b&gt; - swapins is returned. If type is &lt;b&gt;pages&lt;/b&gt; - pages swapped in is returned.	If swap is missing &lt;b&gt;all&lt;/b&gt; is used.');
insert into help_items values(0,'system.swap.out[&lt;swap&gt; &lt;,type&gt;]','Swap out. If type is &lt;b&gt;count&lt;/b&gt; - swapouts is returned. If type is &lt;b&gt;pages&lt;/b&gt; - pages swapped in is returned.  If swap is missing &lt;b&gt;all&lt;/b&gt; is used.');
insert into help_items values(0,'system.swap.size[&lt;swap&gt; &lt;,mode&gt;]','Swap space.	Number of bytes. If swap is missing &lt;b&gt;all&lt;/b&gt; is used. If mode is missing &lt;b&gt;free&lt;/b&gt; is used.');
insert into help_items values(0,'system.uname','Returns detailed host information. String value');
insert into help_items values(0,'system.uptime','System uptime in seconds.');
insert into help_items values(0,'system.users.num','Number of users connected. Command &lt;b&gt;who&lt;/b&gt; is used on agent side.');
insert into help_items values(0,'vfs.dev.read[device &lt;,type&gt; &lt;,mode&gt;]','Device read statistics.');
insert into help_items values(0,'vfs.dev.write[device &lt;,type&gt; &lt;,mode&gt;]','Device write statistics.');
insert into help_items values(0,'vfs.file.cksum[file]','Calculate check sum of a given file. Check sum of the file calculate by standard algorithm used by UNIX utility cksum.	Example: vfs.file.cksum[/etc/passwd]');
insert into help_items values(0,'vfs.file.exists[file]','Check file existance. 0 - file does not exists, 1 - file exists');
insert into help_items values(0,'vfs.file.md5sum[file]','Calculate MD5 check sum of a given file. String MD5 hash of the file. Can be used for files less than 64MB, unsupported otherwise. Example: vfs.file.md5sum[/etc/zabbix/zabbix_agentd.conf]');
insert into help_items values(0,'vfs.file.regexp[file, user]','');
insert into help_items values(0,'vfs.file.regmatch[file, user]','');
insert into help_items values(0,'vfs.file.size[file]','Size of a given file. Size in bytes. File must have read permissions for user zabbix. Example: vfs.file.size[/var/log/syslog]');
insert into help_items values(0,'vfs.file.time[file&lt;, mode&gt;]','File time information. Number of seconds.	The mode is optional. If mode is missing &lt;b&gt;modify&lt;/b&gt; is used.');
insert into help_items values(0,'vfs.fs.inode[fs &lt;,mode&gt;]','Number of inodes for a given volume. If mode is missing &lt;b&gt;total&lt;/b&gt; is used.');
insert into help_items values(0,'vfs.fs.size[fs &lt;,mode&gt;]','Calculate disk space for a given volume. Disk space in KB. If mode is missing &lt;b&gt;total&lt;/b&gt; is used.  In case of mounted volume, unused disk space for local file system is returned. Example: vfs.fs.size[/tmp,free].');
insert into help_items values(0,'vm.memory.size[&lt;mode&gt;]','Amount of memory size in bytes. If mode is missing &lt;b&gt;total&lt;/b&gt; is used.');
alter table media_type add	gsm_modem	varchar(255)	DEFAULT '' NOT NULL;

alter table actions drop delay;
alter table actions drop nextcheck;

--
-- Table structure for table 'history_text'
--

CREATE TABLE history_text (
  id                    int(4)          NOT NULL auto_increment,
  itemid                int(4)          DEFAULT '0' NOT NULL,
  clock                 int(4)          DEFAULT '0' NOT NULL,
  value                 text            DEFAULT '' NOT NULL,
  PRIMARY KEY (id),
  KEY itemidclock (itemid, clock)
) type=InnoDB;
alter table graphs_items add calc_fnc int(1) DEFAULT '2' NOT NULL;
alter table graphs_items add type int(1) DEFAULT '0' NOT NULL;
alter table graphs_items add periods_cnt int(4) DEFAULT '5' NOT NULL;

