%define version 1.8.5
%define rpmrelease 1

# snapshot is either 0 or something like 13915
%define snapshot 0
# beta is either 0 or something like rc1
%define beta 0
%if %{beta}
%define snapshot_version %{version}%{beta}.x-%{snapshot}
%else
%define snapshot_version %{version}.x-%{snapshot}
%endif

%define _acversion 2.65
%define _m4version 1.4.13
%define _snmpver %(eval "rpm -q --quiet ucd-snmp && echo ucd || echo net")
# zabbix >= 1.4.2 needs at least RedHat's gcc version 3.3.2 to build the server part
%define _has_gcc %(eval [ $(rpm -q --queryformat '%{VERSION}' gcc \| %{__sed} -e "s/\\.//g") -ge 332 ] && echo 1 || echo 0 )
# zabbix >= 1.6 needs at least MySQL 4.1
%define _has_mysql %(eval [ $(echo $(%{__grep} MYSQL_VERSION_ID /usr/include/mysql/mysql_version.h) | cut -d" " -f3) -ge 41000 ] && echo 1 || echo 0 )
%define _has_snmp %(eval %{__grep} -q -s localname /usr/include/net-snmp/library/snmp_api.h && echo 1 || echo 0 )

%define _build_server 0
%if %{_has_gcc} && %{_has_mysql} && %{_has_snmp}
%define _build_server 1
%endif

Summary: Zabbix is an all-in-one 24x7 monitoring solution without high cost
Name: zabbix
Version: %{version}
%if %{snapshot}
Release: 0.%{snapshot}.%{rpmrelease}%{?dist}
%else
Release: %{rpmrelease}%{?dist}
%endif
License: GPLv2+
Group: System Environment/Daemons
URL: http://www.zabbix.com/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
%if %{snapshot}
Source0: http://www.zabbix.com/downloads/nightly/pre-%{name}-%{snapshot_version}.tar.gz
%else
Source0: http://dl.sf.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
%endif
Source1: zabbix-mysql_config-wrapper
Source2: zabbix-1.1-agent.xinetd
Source3: zabbix-1.6-agent.init
Source4: zabbix-1.6-server.init
Source5: zabbix-1.6-proxy.init
Source6: zabbix-1.4-dbsetup.sh
Source7: zabbix-1.4-dbsetup-no_innodb.sh
Source8: zabbix-1.8-apache2.conf
Source9: zabbix-1.1-favicon.ico
Source10: zabbix-%{version}.conf.php
Source11: zabbix-1.0_to_1.1-patch.sql
Source12: zabbix-1.0_to_1.1-patch-no_innodb.sql
Source13: zabbix-1.1_to_1.4-patch.sql
Source14: zabbix-1.1_to_1.4-patch-no_innodb.sql
Source15: zabbix-1.1-dbupgrade-1.0_to_1.1.sh
Source16: zabbix-1.1-dbupgrade-1.0_to_1.1-no_innodb.sh
Source17: zabbix-1.4-dbupgrade-1.1_to_1.4.sh
Source18: zabbix-1.4-dbupgrade-1.1_to_1.4-no_innodb.sh
Source19: zabbix-1.6-dbupgrade-1.4_to_1.6.sh
Source20: zabbix-1.6-dbupgrade-1.4_to_1.6-no_innodb.sh
Source21: zabbix-net-snmp_config-wrapper
Source22: zabbix-1.4-README.RPM
Source23: chroot_uname
Source100: http://ftp.gnu.org/gnu/autoconf/autoconf-%{_acversion}.tar.bz2
Source101: http://ftp.gnu.org/gnu/m4/m4-%{_m4version}.tar.bz2
Patch0: zabbix-pre_1.8.5rc1.x-18873-conf.patch
Patch1: zabbix-pre_1.8.3.x_12923-ucd-snmp.patch
Patch2: zabbix-pre_1.8.4rc1.x-14735-pidfile.patch
Patch3: zabbix-1.8.5rc1-chroot_uname.patch
Patch4: zabbix-1.6.5-traceroute.patch
Patch5: zabbix-pre_1.8.3.x_12857-zabbix_sender_exitvalue.patch
Patch99: zabbix-1.8.2-disable_type_check_hack.patch
# patches => 100 should/will be fixed in SCM
Patch100: zabbix-1.8.4rc2-template_var_used.patch
BuildRequires: openssl-devel
BuildRequires: openldap-devel, sed
BuildRequires: /usr/include/linux/version.h
%if %{_build_server}
BuildRequires: curl-devel, mysql-devel, %{_snmpver}-snmp-devel, iksemel-devel
%endif
Requires(pre): /usr/sbin/useradd, /usr/sbin/usermod
Requires(postun): /usr/sbin/userdel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%define _webappsdir %{_datadir}/%{name}/frontend-php

%description
Zabbix is software that monitors numerous parameters of a network and
the servers on that network. Zabbix is a useful tool for monitoring
the health and integrity of servers. Zabbix uses a flexible
notification mechanism that allows users to configure email based
alerts for virtually any event. All monitored parameters are stored in
a database. Zabbix offers excellent reporting and data visualisation
features based on the stored data. Zabbix supports both polling and
trapping. All Zabbix reports and statistics, as well as configuration
parameters, are accessed through a web-based front end.

%package frontend-php
Summary: PHP frontend for Zabbix
Group: Applications/Internet
Requires: httpd
Requires: php >= 5.1.0, php-bcmath, php-gd, php-mbstring, php-mysql, php-xml

%description frontend-php
This package contains the web based (PHP) frontend for Zabbix.

%package agent-xinetd
Summary: Xinetd agent for Zabbix
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}
Requires: xinetd
Requires(post): /sbin/service
Requires(postun): /sbin/service
Conflicts: %{name}-agent

%description agent-xinetd
Xinetd agent for Zabbix.

%package agent
Summary: Standalone agent for Zabbix
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig, /sbin/service
Requires(postun): /sbin/service
Conflicts: %{name}-agent-xinetd

%description agent
This package provides the standalone version of Zabbix agent.

%if %{_build_server}
%package server
Summary: Server daemon for Zabbix
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}, %{_snmpver}-snmp, fping
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig, /sbin/service
Requires(postun): /sbin/service

%description server
This package provides the server daemon for Zabbix.

%package proxy
Summary: Proxy daemon for Zabbix
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}, %{_snmpver}-snmp, fping
Requires(post): /sbin/chkconfig, grep, sed
Requires(preun): /sbin/chkconfig, /sbin/service
Requires(postun): /sbin/service

%description proxy
This package provides the proxy daemon for Zabbix.
%endif

%prep
%if %{beta}
%setup -q -a 100 -a 101 -n %{name}-%{version}%{beta}
%else
%setup -q -a 100 -a 101
%endif
%{__cp} -va misc/conf/zabbix_agent.conf misc/conf/zabbix_agent.conf.orig
%patch0 -p1 -b .conf
%patch1 -p1 -b .ucd-snmp
%patch2 -p1 -b .pidfile
%patch3 -p1 -b .chroot_uname
%patch4 -p1 -b .traceroute
%patch5 -p1 -b .zabbix_sender_exitvalue
# Was this patch fixed somehow???
##%patch99 -p1 -b .disable_type_check_hack
%patch100 -p1 -b .template_var_used
%{__install} -m 0755 -p %{SOURCE1} .
%{__install} -m 0755 -p %{SOURCE21} .
# install chroot_uname
%{__mkdir_p} bin
%{__install} -m 0755 -p %{SOURCE23} bin/
touch -r misc/conf/zabbix_agent.conf.orig misc/conf/zabbix_*.conf

%build
# build and use private auto/lib tools
autodir=$(pwd)/auto-instroot
PATH=${autodir}/bin:${PATH}
# m4
pushd m4-%{_m4version}
./configure --prefix=$autodir
make all install
popd
# autoconf
pushd autoconf-%{_acversion}
./configure --prefix=$autodir
make all install
popd

%{__autoconf} --force

%{configure} \
  --enable-agent \
%if %{_build_server}
  --enable-server \
  --enable-proxy \
  --with-mysql=$(pwd)/zabbix-mysql_config-wrapper \
  --with-%{_snmpver}-snmp=$(pwd)/zabbix-net-snmp_config-wrapper \
  --with-jabber \
%endif
  --with-ldap \
  --disable-ipv6
# --enable-ipv6

%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

# create dirs
%{__install} -d %{buildroot}%{_sysconfdir}/{%{name}/externalscripts,xinetd.d} \
  %{buildroot}%{_initrddir} \
  %{buildroot}%{_webappsdir} \
  %{buildroot}%{_var}/{log,run}/%{name} \
  %{buildroot}%{_libexecdir}/%{name}

%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

# install binaries and configs
%{__install} -m 0644 -p misc/conf/zabbix_agent.conf %{buildroot}%{_sysconfdir}/%{name}/
%{__install} -m 0644 -p misc/conf/zabbix_agentd.conf %{buildroot}%{_sysconfdir}/%{name}/
%if %{_build_server}
%{__install} -m 0644 -p misc/conf/zabbix_server.conf %{buildroot}%{_sysconfdir}/%{name}/
%{__install} -m 0644 -p misc/conf/zabbix_proxy.conf %{buildroot}%{_sysconfdir}/%{name}/
%endif

# install php frontend
%{__cp} -pr frontends/php/* %{buildroot}%{_webappsdir}/
# install the config file
%{__install} -d %{buildroot}%{_sysconfdir}/httpd/conf.d
%{__install} -m 0644 -p %{SOURCE8} \
  %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf
%{__install} -m 0644 -p %{SOURCE9} %{buildroot}%{_webappsdir}/favicon.ico
%{__install} -m 0644 -p %{SOURCE10} %{buildroot}%{_sysconfdir}/%{name}/zabbix_php.conf
%{__ln_s} -f ../../../../..%{_sysconfdir}/%{name}/%{name}_php.conf \
  %{buildroot}%{_webappsdir}/conf/zabbix.conf.php

# install init scripts
%{__install} -m 0644 -p %{SOURCE2} %{buildroot}%{_sysconfdir}/xinetd.d/zabbix-agent
%{__install} -m 0755 -p %{SOURCE3} %{buildroot}%{_initrddir}/zabbix-agent
%if %{_build_server}
%{__install} -m 0755 -p %{SOURCE4} %{buildroot}%{_initrddir}/zabbix-server
%{__install} -m 0755 -p %{SOURCE5} %{buildroot}%{_initrddir}/zabbix-proxy
%endif

%if %{_build_server}
# install db creation and upgrade files
%{__cp} -pr create upgrades %{buildroot}%{_datadir}/%{name}/
%{__install} -m 0644 -p %{SOURCE6} %{buildroot}%{_datadir}/%{name}/create/dbsetup.sh
%{__install} -m 0644 -p %{SOURCE7} %{buildroot}%{_datadir}/%{name}/create/dbsetup-no_innodb.sh
%{__install} -m 0644 -p %{SOURCE19} %{buildroot}%{_datadir}/%{name}/upgrades/dbupgrade-1.4_to_1.6.sh
%{__install} -m 0644 -p %{SOURCE20} %{buildroot}%{_datadir}/%{name}/upgrades/dbupgrade-1.4_to_1.6-no_innodb.sh
%{__install} -m 0644 -p %{SOURCE17} %{buildroot}%{_datadir}/%{name}/upgrades/dbupgrade-1.1_to_1.4.sh
%{__install} -m 0644 -p %{SOURCE18} %{buildroot}%{_datadir}/%{name}/upgrades/dbupgrade-1.1_to_1.4-no_innodb.sh
%{__install} -m 0644 -p %{SOURCE15} %{buildroot}%{_datadir}/%{name}/upgrades/dbupgrade-1.0_to_1.1.sh
%{__install} -m 0644 -p %{SOURCE16} %{buildroot}%{_datadir}/%{name}/upgrades/dbupgrade-1.0_to_1.1-no_innodb.sh
%{__install} -d %{buildroot}%{_datadir}/%{name}/upgrades/dbpatches/1.0_to_1.1/mysql
%{__install} -m 0644 -p %{SOURCE11} %{buildroot}%{_datadir}/%{name}/upgrades/dbpatches/1.0_to_1.1/mysql/patch.sql
%{__install} -m 0644 -p %{SOURCE12} %{buildroot}%{_datadir}/%{name}/upgrades/dbpatches/1.0_to_1.1/mysql/patch-no_innodb.sql
%{__install} -d %{buildroot}%{_datadir}/%{name}/upgrades/dbpatches/1.1_to_1.4/mysql
%{__install} -m 0644 -p %{SOURCE13} %{buildroot}%{_datadir}/%{name}/upgrades/dbpatches/1.1_to_1.4/mysql/patch.sql
%{__install} -m 0644 -p %{SOURCE14} %{buildroot}%{_datadir}/%{name}/upgrades/dbpatches/1.1_to_1.4/mysql/patch-no_innodb.sql

# create database files for use without InnoDB
%{__sed} -e 's/) type=InnoDB;/);/g' -e 's/) TYPE=InnoDB;/);/g' -e 's/) engine=InnoDB;/);/g' -e 's/) ENGINE=InnoDB;/);/g' \
  %{buildroot}%{_datadir}/%{name}/create/schema/mysql.sql \
  > %{buildroot}%{_datadir}/%{name}/create/schema/mysql-no_innodb.sql
%{__sed} -e 's/) type=InnoDB;/);/g' -e 's/) TYPE=InnoDB;/);/g' -e 's/) engine=InnoDB;/);/g' -e 's/) ENGINE=InnoDB;/);/g' \
  %{buildroot}%{_datadir}/%{name}/upgrades/dbpatches/1.6/mysql/patch.sql \
  > %{buildroot}%{_datadir}/%{name}/upgrades/dbpatches/1.6/mysql/patch-no_innodb.sql
%{__sed} -e 's/) type=InnoDB;/);/g' -e 's/) TYPE=InnoDB;/);/g' -e 's/) engine=InnoDB;/);/g' -e 's/) ENGINE=InnoDB;/);/g' \
  %{buildroot}%{_datadir}/%{name}/upgrades/dbpatches/1.8/mysql/patch.sql \
  > %{buildroot}%{_datadir}/%{name}/upgrades/dbpatches/1.8/mysql/patch-no_innodb.sql
%endif

# remove file we don't need
find %{buildroot}%{_datadir}/%{name} -name "Makefile*" -exec %{__rm} -vf {} \;
find %{buildroot}%{_datadir}/%{name} -name "*.sql.*"   -exec %{__rm} -vf {} \;
find %{buildroot}%{_webappsdir}      -name "*.php.*"   -exec %{__rm} -vf {} \;

# install rpm specific files
%{__install} -m 0644 -p %{SOURCE22} README.RPM
touch %{buildroot}%{_var}/log/%{name}/{agentd.log,agentd.log.old}
touch %{buildroot}%{_var}/run/%{name}/agentd.pid
%if %{_build_server}
touch %{buildroot}%{_var}/log/%{name}/{server.log,server.log.old}
touch %{buildroot}%{_var}/run/%{name}/server.pid
touch %{buildroot}%{_var}/log/%{name}/{proxy.log,proxy.log.old}
touch %{buildroot}%{_var}/run/%{name}/proxy.pid
%endif

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%pre
/usr/sbin/useradd -M -o -r -d / -u 95 -c "Zabbix User" -s /bin/false %{name} 2> /dev/null || :
if [ -x /sbin/nologin ]; then
  /usr/sbin/usermod -s /sbin/nologin %{name} 2> /dev/null || :
fi

%post
# cleanup old service entries if necessary
if %{__grep} -q ^zabbix_ %{_sysconfdir}/services; then
  %{__sed} \
    -e 's@zabbix_agent\t10050/tcp\t\t\t# Zabbix Monitoring Agent@zabbix-agent\t10050/tcp\t\t\t# Zabbix Agent@g' \
    -e 's@zabbix_agent\t10050/udp\t\t\t# Zabbix Monitoring Agent@zabbix-agent\t10050/udp\t\t\t# Zabbix Agent@g' \
    -e 's@zabbix_trap\t10051/tcp\t\t\t# Zabbix Monitoring Trapper@zabbix-trapper\t10051/tcp\t\t\t# Zabbix Trapper@g' \
    -e 's@zabbix_trap\t10051/udp\t\t\t# Zabbix Monitoring Trapper@zabbix-trapper\t10051/udp\t\t\t# Zabbix Trapper@g' \
    < %{_sysconfdir}/services | %{__grep} -v ^zabbix_ > %{_sysconfdir}/services.$$
  %{__mv} -f %{_sysconfdir}/services.$$ %{_sysconfdir}/services
fi
# add service entries if necessary
if ! %{__grep} -q ^zabbix-agent %{_sysconfdir}/services; then
  echo -e 'zabbix-agent\t10050/tcp\t\t\t# Zabbix Agent' >> %{_sysconfdir}/services
  echo -e 'zabbix-agent\t10050/udp\t\t\t# Zabbix Agent' >> %{_sysconfdir}/services
fi
if ! %{__grep} -q ^zabbix-trapper %{_sysconfdir}/services; then
  echo -e 'zabbix-trapper\t10051/tcp\t\t\t# Zabbix Trapper' >> %{_sysconfdir}/services
  echo -e 'zabbix-trapper\t10051/udp\t\t\t# Zabbix Trapper' >> %{_sysconfdir}/services
fi

%postun
if [ "$1" = "0" ]; then
  /usr/sbin/userdel %{name} 2> /dev/null || :
fi

%post agent-xinetd
/sbin/service xinetd reload > /dev/null 2>&1 || :

%postun agent-xinetd
if [ "$1" = "0" ]; then
  /sbin/service xinetd reload > /dev/null 2>&1 || :
fi

%post agent
/sbin/chkconfig --add zabbix-agent

%preun agent
if [ "$1" = "0" ]; then
  /sbin/service zabbix-agent stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del zabbix-agent
fi

%postun agent
if [ "$1" -ge "1" ]; then
  /sbin/service zabbix-agent condrestart > /dev/null 2>&1 || :
fi

%if %{_build_server}
%post server
/sbin/chkconfig --add zabbix-server

%preun server
if [ "$1" = "0" ]; then
  /sbin/service zabbix-server stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del zabbix-server
fi

%postun server
if [ "$1" -ge "1" ]; then
  /sbin/service zabbix-server condrestart > /dev/null 2>&1 || :
fi

%post proxy
/sbin/chkconfig --add zabbix-proxy

%preun proxy
if [ "$1" = "0" ]; then
  /sbin/service zabbix-proxy stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del zabbix-proxy
fi

%postun proxy
if [ "$1" -ge "1" ]; then
  /sbin/service zabbix-proxy condrestart > /dev/null 2>&1 || :
fi
%endif

%files
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING NEWS README README.RPM
%dir %{_sysconfdir}/%{name}
%attr(0770,root,%{name}) %dir %{_var}/log/%{name}
%attr(0770,root,%{name}) %dir %{_var}/run/%{name}
%attr(0755,root,root) %{_bindir}/zabbix_get
%attr(0755,root,root) %{_bindir}/zabbix_sender
%attr(0644,root,root) %{_mandir}/man1/zabbix_get.1*
%attr(0644,root,root) %{_mandir}/man1/zabbix_sender.1*

%files frontend-php
%defattr(0644,root,root,0755)
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/zabbix_php.conf
%dir %{_datadir}/%{name}
%{_webappsdir}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf

%files agent-xinetd
%defattr(0644,root,root,0755)
%config(noreplace) %{_sysconfdir}/%{name}/zabbix_agent.conf
%config(noreplace) %{_sysconfdir}/xinetd.d/zabbix-agent
%attr(0755,root,root) %{_sbindir}/zabbix_agent

%files agent
%defattr(0644,root,root,0755)
%config(noreplace) %{_sysconfdir}/%{name}/zabbix_agentd.conf
%attr(0755,root,root) %{_initrddir}/zabbix-agent
%attr(0755,root,root) %{_sbindir}/zabbix_agentd
%attr(0660,%{name},%{name}) %ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_var}/log/%{name}/agentd.log
%attr(0660,%{name},%{name}) %ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_var}/log/%{name}/agentd.log.old
%attr(0660,%{name},%{name}) %ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_var}/run/%{name}/agentd.pid
%attr(0644,root,root) %{_mandir}/man8/zabbix_agentd.8*

%if %{_build_server}
%files server
%defattr(0644,root,root,0755)
%config(noreplace) %{_sysconfdir}/%{name}/zabbix_server.conf
%dir %{_sysconfdir}/%{name}/externalscripts
%attr(0755,root,root) %{_initrddir}/zabbix-server
%attr(0755,root,root) %{_sbindir}/zabbix_server
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/create
%{_datadir}/%{name}/upgrades
%dir %{_libexecdir}/%{name}
%attr(0660,%{name},%{name}) %ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_var}/log/%{name}/server.log
%attr(0660,%{name},%{name}) %ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_var}/log/%{name}/server.log.old
%attr(0660,%{name},%{name}) %ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_var}/run/%{name}/server.pid
%attr(0644,root,root) %{_mandir}/man8/zabbix_server.8*

%files proxy
%defattr(0644,root,root,0755)
%config(noreplace) %{_sysconfdir}/%{name}/zabbix_proxy.conf
%dir %{_sysconfdir}/%{name}/externalscripts
%attr(0755,root,root) %{_initrddir}/zabbix-proxy
%attr(0755,root,root) %{_sbindir}/zabbix_proxy
%attr(0660,%{name},%{name}) %ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_var}/log/%{name}/proxy.log
%attr(0660,%{name},%{name}) %ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_var}/log/%{name}/proxy.log.old
%attr(0660,%{name},%{name}) %ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_var}/run/%{name}/proxy.pid
%attr(0644,root,root) %{_mandir}/man8/zabbix_proxy.8*
%endif

%changelog
* Sat Apr 16 2011 Simon Matter <simon.matter@invoca.ch> 1.8.5-1
- upgrade to 1.8.5

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.8.5-0.18873.2
- mass rebuild

* Tue Apr 05 2011 Simon Matter <simon.matter@invoca.ch> 1.8.5-0.18873.1
- upgrade to current snapshot

* Wed Jan 05 2011 Simon Matter <simon.matter@invoca.ch> 1.8.4-1
- upgrade to 1.8.4

* Fri Dec 31 2010 Simon Matter <simon.matter@invoca.ch> 1.8.4-0.16556.1
- upgrade to current snapshot
- remove diskstats patches and hope it works now

* Wed Nov 17 2010 Simon Matter <simon.matter@invoca.ch> 1.8.4-0.15548.1
- upgrade to current snapshot
- fix more diskstats issues

* Tue Nov 16 2010 Simon Matter <simon.matter@invoca.ch> 1.8.4-0.15522.1
- upgrade to current snapshot
- fix more diskstats issues

* Tue Nov 16 2010 Simon Matter <simon.matter@invoca.ch> 1.8.4-0.15506.1
- upgrade to current snapshot
- reduce CPU cycles used for diskstats

* Wed Nov 03 2010 Simon Matter <simon.matter@invoca.ch> 1.8.4-0.15432.1
- upgrade to current snapshot
- make diskstats work on cciss devices

* Wed Nov 03 2010 Simon Matter <simon.matter@invoca.ch> 1.8.4-0.15234.1
- upgrade to current snapshot
- add patch to fix template for used disk space on /var

* Tue Nov 02 2010 Simon Matter <simon.matter@invoca.ch> 1.8.4-0.15201.1
- upgrade to current snapshot

* Thu Oct 21 2010 Simon Matter <simon.matter@invoca.ch> 1.8.4-0.14968.1
- upgrade to current snapshot

* Tue Oct 19 2010 Simon Matter <simon.matter@invoca.ch> 1.8.4-0.14932.1
- upgrade to current snapshot
- add patch to disable content-lenght header in jsLoader.php

* Fri Oct 15 2010 Simon Matter <simon.matter@invoca.ch> 1.8.4-0.14887.1
- upgrade to current snapshot

* Wed Oct 06 2010 Simon Matter <simon.matter@invoca.ch> 1.8.4-0.14735.1
- upgrade to current snapshot

* Mon Aug 16 2010 Simon Matter <simon.matter@invoca.ch> 1.8.3-1
- upgrade to 1.8.3

* Wed Aug 11 2010 Simon Matter <simon.matter@invoca.ch> 1.8.3-0.13915.1
- upgrade to current snapshot

* Tue Aug 03 2010 Simon Matter <simon.matter@invoca.ch> 1.8.3-0.13783.1
- upgrade to current snapshot

* Fri Jul 30 2010 Simon Matter <simon.matter@invoca.ch> 1.8.3-0.13697.1
- upgrade to current snapshot

* Tue Jun 29 2010 Simon Matter <simon.matter@invoca.ch> 1.8.3-0.13100.1
- upgrade to current snapshot

* Thu Jun 24 2010 Simon Matter <simon.matter@invoca.ch> 1.8.3-0.13060.1
- upgrade to current snapshot

* Tue Jun 22 2010 Simon Matter <simon.matter@invoca.ch> 1.8.3-0.13028.1
- upgrade to current snapshot

* Sat Jun 19 2010 Simon Matter <simon.matter@invoca.ch> 1.8.3-0.12923.1
- upgrade to current snapshot

* Fri Jun 18 2010 Simon Matter <simon.matter@invoca.ch> 1.8.3-0.12896.1
- upgrade to current snapshot

* Thu Jun 17 2010 Simon Matter <simon.matter@invoca.ch> 1.8.3-0.12857.1
- upgrade to current snapshot

* Fri Jun 11 2010 Simon Matter <simon.matter@invoca.ch> 1.8.2-4
- add log-failed-items patch

* Thu Jun 10 2010 Simon Matter <simon.matter@invoca.ch> 1.8.2-3
- update zabbix_sender_exitvalue patch

* Thu Jun 10 2010 Simon Matter <simon.matter@invoca.ch> 1.8.2-2
- add zabbix_sender_exitvalue patch

* Tue Mar 30 2010 Simon Matter <simon.matter@invoca.ch> 1.8.2-1
- upgrade to 1.8.2

* Tue Mar 23 2010 Simon Matter <simon.matter@invoca.ch> 1.8.2-0.10989.2
- remove requirement for dejavu-lgc-fonts

* Tue Mar 23 2010 Simon Matter <simon.matter@invoca.ch> 1.8.2-0.10989.1
- upgrade to current snapshot
- add patch to remove invalid trigger 12201 from SQL data

* Mon Mar 22 2010 Simon Matter <simon.matter@invoca.ch> 1.8.2-0.10947.1
- upgrade to current snapshot

* Fri Mar 19 2010 Simon Matter <simon.matter@invoca.ch> 1.8.2-0.10923.1
- upgrade to current snapshot
- add patch to disable usage of imagerotate() for texts

* Thu Mar 18 2010 Simon Matter <simon.matter@invoca.ch> 1.8.2-0.3.10896
- add patch to work around https://support.zabbix.com/browse/ZBX-1741

* Thu Mar 18 2010 Simon Matter <simon.matter@invoca.ch> 1.8.2-0.2.10896
- modify PHP options apache2 config

* Thu Mar 18 2010 Simon Matter <simon.matter@invoca.ch> 1.8.2-0.1.10896
- upgrade to current snapshot

* Wed Mar 17 2010 Simon Matter <simon.matter@invoca.ch> 1.8.2-0.3.20100317
- upgrade to current snapshot
- use make install
- add manpages

* Thu Jan 28 2010 Simon Matter <simon.matter@invoca.ch> 1.8.1-1
- upgrade to 1.8.1

* Tue Dec 15 2009 Simon Matter <simon.matter@invoca.ch> 1.8-1
- upgrade to 1.8

* Tue Dec 08 2009 Simon Matter <simon.matter@invoca.ch> 1.6.8-1
- upgrade to 1.6.8

* Fri Nov 13 2009 Simon Matter <simon.matter@invoca.ch> 1.6.7-1
- upgrade to 1.6.7

* Sat Sep 19 2009 Simon Matter <simon.matter@invoca.ch> 1.6.6-2
- add trigger_value patch

* Wed Aug 26 2009 Simon Matter <simon.matter@invoca.ch> 1.6.6-1
- upgrade to 1.6.6
- change license tag to GPLv2+

* Wed Jun 17 2009 Simon Matter <simon.matter@invoca.ch> 1.6.5-2
- add traceroute patch

* Tue Jun 16 2009 Simon Matter <simon.matter@invoca.ch> 1.6.5-1
- upgrade to 1.6.5

* Wed Apr 08 2009 Simon Matter <simon.matter@invoca.ch> 1.6.4-2
- add node_group patch

* Fri Apr 03 2009 Simon Matter <simon.matter@invoca.ch> 1.6.4-1
- upgrade to 1.6.4

* Fri Apr 03 2009 Simon Matter <simon.matter@invoca.ch> 1.6.4-0.20090403
- upgrade to current snapshot

* Thu Apr 02 2009 Simon Matter <simon.matter@invoca.ch> 1.6.4-0.20090401
- upgrade to current snapshot

* Fri Mar 27 2009 Simon Matter <simon.matter@invoca.ch> 1.6.3-1
- upgrade to 1.6.3

* Thu Mar 12 2009 Simon Matter <simon.matter@invoca.ch> 1.6.2-6.20090312
- upgrade to current snapshot

* Wed Mar 11 2009 Simon Matter <simon.matter@invoca.ch> 1.6.2-6.20090311
- upgrade to current snapshot
- add cosmetic email patch

* Mon Mar 02 2009 Simon Matter <simon.matter@invoca.ch> 1.6.2-6.20090302
- update 1.6.3-pre patch

* Wed Feb 25 2009 Simon Matter <simon.matter@invoca.ch> 1.6.2-6.20090225
- update 1.6.3-pre patch

* Fri Feb 20 2009 Simon Matter <simon.matter@invoca.ch> 1.6.2-6.20090220
- update 1.6.3-pre patch

* Wed Feb 18 2009 Simon Matter <simon.matter@invoca.ch> 1.6.2-6.20090218
- update 1.6.3-pre patch

* Sat Feb 14 2009 Simon Matter <simon.matter@invoca.ch> 1.6.2-6.20090214
- update 1.6.3-pre patch

* Fri Feb 13 2009 Simon Matter <simon.matter@invoca.ch> 1.6.2-6.20090213
- update 1.6.3-pre patch

* Thu Feb 12 2009 Simon Matter <simon.matter@invoca.ch> 1.6.2-6
- update 1.6.3-pre patch
- remove obsolete defines patch
- remove obsolete actions patch

* Wed Feb 11 2009 Simon Matter <simon.matter@invoca.ch> 1.6.2-5
- update 1.6.3-pre patch
- add defines patch
- add actions patch

* Tue Feb 10 2009 Simon Matter <simon.matter@invoca.ch> 1.6.2-4
- update 1.6.3-pre patch

* Wed Jan 28 2009 Simon Matter <simon.matter@invoca.ch> 1.6.2-3
- update 1.6.3-pre patch

* Tue Jan 27 2009 Simon Matter <simon.matter@invoca.ch> 1.6.2-2
- include 1.6.3-pre as patch

* Fri Jan 16 2009 Simon Matter <simon.matter@invoca.ch> 1.6.2-1
- upgrade to 1.6.2

* Wed Jan 14 2009 Simon Matter <simon.matter@invoca.ch> 1.6.1-12
- add current snapshot as patch

* Fri Jan 09 2009 Simon Matter <simon.matter@invoca.ch> 1.6.1-11
- modify init script to cleanup fping inputfiles in /tmp
- enhance PHP config file for version 1.6.1

* Wed Jan 07 2009 Simon Matter <simon.matter@invoca.ch> 1.6.1-9
- add jabber support
- more init scripts improvements

* Tue Jan 06 2009 Simon Matter <simon.matter@invoca.ch> 1.6.1-8
- improve init scripts

* Wed Dec 31 2008 Simon Matter <simon.matter@invoca.ch> 1.6.1-7
- add chroot_uname to build environment to detect kernel versions
- remove spool dir and ghost files

* Tue Dec 30 2008 Simon Matter <simon.matter@invoca.ch> 1.6.1-5
- disable ipv6 for now, it doesn't handle dns names for auth correctly

* Mon Dec 29 2008 Simon Matter <simon.matter@invoca.ch> 1.6.1-4
- add /usr/lib/zabbix to server package
- disable active checks in default agent config

* Wed Dec 24 2008 Simon Matter <simon.matter@invoca.ch> 1.6.1-3
- improve init scripts
- improve editing of /etc/services file

* Tue Dec 23 2008 Simon Matter <simon.matter@invoca.ch> 1.6.1-2
- include 1.6.2-pre as patch

* Wed Nov 05 2008 Simon Matter <simon.matter@invoca.ch> 1.6.1-1
- upgrade to 1.6.1

* Fri Sep 19 2008 Simon Matter <simon.matter@invoca.ch> 1.6-1
- upgrade to 1.6

* Thu Jul 24 2008 Simon Matter <simon.matter@invoca.ch> 1.4.6-1
- upgrade to 1.4.6

* Wed Mar 26 2008 Simon Matter <simon.matter@invoca.ch> 1.4.5-1
- upgrade to 1.4.5

* Wed Jan 09 2008 Simon Matter <simon.matter@invoca.ch> 1.4.4-1
- add overview2 patch

* Thu Dec 20 2007 Simon Matter <simon.matter@invoca.ch> 1.4.4-0.2
- add php4_compat patch

* Mon Dec 17 2007 Simon Matter <simon.matter@invoca.ch> 1.4.4-0.1
- upgrade to 1.4.4

* Thu Dec 13 2007 Simon Matter <simon.matter@invoca.ch> 1.4.3-0.1
- upgrade to 1.4.3

* Wed Nov 28 2007 Simon Matter <simon.matter@invoca.ch> 1.4.2-0.7
- add memory patches

* Tue Nov 27 2007 Simon Matter <simon.matter@invoca.ch> 1.4.2-0.6
- add permissions patch

* Fri Nov 23 2007 Simon Matter <simon.matter@invoca.ch> 1.4.2-0.5
- update php config

* Thu Nov 22 2007 Simon Matter <simon.matter@invoca.ch> 1.4.2-0.4
- zabbix-server requires net-snmp

* Wed Oct 31 2007 Simon Matter <simon.matter@invoca.ch> 1.4.2-0.3
- fix sql typo

* Tue Aug 21 2007 Simon Matter <simon.matter@invoca.ch> 1.4.2-0.2
- update to 1.4.2
- don't build server if gcc is too old

* Sat Aug 11 2007 Simon Matter <simon.matter@invoca.ch> 1.4.2-0.1
- update to 1.4.2 snapshot

* Mon Jul 02 2007 Simon Matter <simon.matter@invoca.ch> 1.4.1-1
- update to 1.4.1

* Tue Jun 19 2007 Simon Matter <simon.matter@invoca.ch> 1.4-1
- update to 1.4

* Tue Apr 03 2007 Simon Matter <simon.matter@invoca.ch> 1.1.7-0.1
- update to 1.1.7

* Thu Feb 08 2007 Simon Matter <simon.matter@invoca.ch> 1.1.6-0.2
- add pid patch

* Wed Feb 07 2007 Simon Matter <simon.matter@invoca.ch> 1.1.6-0.1
- update to 1.1.6

* Sun Jan 28 2007 Simon Matter <simon.matter@invoca.ch> 1.1.5-0.1
- update to 1.1.5

* Thu Jan 25 2007 Simon Matter <simon.matter@invoca.ch> 1.1.4-0.4
- add create_trigger_button patch
- add trigger_map patch

* Mon Dec 18 2006 Simon Matter <simon.matter@invoca.ch> 1.1.4-0.3
- add sla_calc patch

* Thu Nov 16 2006 Simon Matter <simon.matter@invoca.ch> 1.1.4-0.2
- add patch to change max number of disk devices to 16

* Wed Nov 15 2006 Simon Matter <simon.matter@invoca.ch> 1.1.4-0.1
- update to 1.1.4

* Fri Nov 10 2006 Simon Matter <simon.matter@invoca.ch> 1.1.3-0.3
- add delta_fix patch

* Fri Nov 03 2006 Simon Matter <simon.matter@invoca.ch> 1.1.3-0.2
- add cpu_nince_system patch
- add stime_in_chart patch

* Tue Oct 24 2006 Simon Matter <simon.matter@invoca.ch> 1.1.3-0.1
- update to 1.1.3

* Sat Sep 30 2006 Simon Matter <simon.matter@invoca.ch> 1.1.2-0.3
- add some small patches
- change Prereq to new style

* Wed Sep 20 2006 Simon Matter <simon.matter@invoca.ch> 1.1.2-0.2
- fix apache2 config file name

* Tue Sep 12 2006 Simon Matter <simon.matter@invoca.ch> 1.1.2-0.1
- update to 1.1.2

* Thu Jul 20 2006 Simon Matter <simon.matter@invoca.ch> 1.1.1-0.1
- update to 1.1.1

* Wed Jul 05 2006 Simon Matter <simon.matter@invoca.ch> 1.1-0.25
- fix ghosted files

* Mon Jul 03 2006 Simon Matter <simon.matter@invoca.ch> 1.1-0.24
- add proc_memory patch
- set the shell of the zabbix user to /sbin/nologin if available
- remove the zabbix user on rpm removal

* Fri Jun 09 2006 Simon Matter <simon.matter@invoca.ch> 1.1-0.23
- update to 1.1
- remove win32, novell and docs subpackages

* Thu Apr 13 2006 Simon Matter <simon.matter@invoca.ch> 1.0-11
- update mrtgext
- change package deps from obsoletes to conflicts to make yum happy

* Thu Apr 21 2005 Simon Matter <simon.matter@invoca.ch>
- updated novell subpackage

* Tue Aug 10 2004 Simon Matter <simon.matter@invoca.ch>
- fixed init scripts

* Wed Jul 28 2004 Simon Matter <simon.matter@invoca.ch>
- require a webserver on the buildhost
- included novell subpackage
- fixed start order of services in init scripts

* Mon Jul 26 2004 Simon Matter <simon.matter@invoca.ch>
- added fping to requires for suckerd

* Thu Jul 22 2004 Simon Matter <simon.matter@invoca.ch>
- included win32 subpackage

* Wed Jul 21 2004 Simon Matter <simon.matter@invoca.ch>
- updated gethostbyname patch
- updated init scripts
- fixed pre/postinstall/upgrade scripts
- moved creation scripts to /usr/share...

* Tue Jul 20 2004 Simon Matter <simon.matter@invoca.ch>
- added gethostbyname patch, allows to configure the server as DNS name
- disabled logrotate because Zabbix has it's own way to handle this
- fixed initscripts to restart reliable after a crash

* Fri Jul 16 2004 Simon Matter <simon.matter@invoca.ch>
- rearranged subpackages
- zabbix now uses UID 95, which is also used by radiusd on newer
  RedHat / Fedora releases. Both allow duplicate (non-unique) UID.

* Wed Jul 14 2004 Simon Matter <simon.matter@invoca.ch>
- initial package
